import request from "@/utils/request";

//程序版本查询
export function getProgramVersion(data) {
    return request({
        url: "/device-boot/programVersion/getProgramVersion",
        method: "post",
        data
    });
}
//新增程序版本
export function addProgramVersion(data) {
    return request({
        url: "/device-boot/programVersion/addProgramVersion",
        headers: { "Content-Type": "multipart/form-data" },
        method: "post",
        data,
    });
}
//修改程序版本
export function updateProgramVersion(data) {
    return request({
        url: "/device-boot/programVersion/updateProgramVersion",
        headers: { "Content-Type": "multipart/form-data" },
        method: "post",
        data,
    });
}
//删除程序版本
export function delProgramVersion(data) {
    return request({
        url: "/device-boot/programVersion/delProgramVersion",
        method: "post",
        params:data
    });
}
//修改程序版本状态
export function updateVersionFlag(data) {
    return request({
        url: "/device-boot/programVersion/updateVersionFlag",
        method: "post",
        params:data
    });
}